Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.persistence
Annotation Type SequenceGenerator

    @Target(value={TYPE,METHOD,FIELD})
    @Retention(value=RUNTIME)
    public @interface SequenceGenerator

Defines a primary key generator that may be referenced by name when a generator element is specified for the `GeneratedValue` annotation. A sequence generator may be specified on the entity class or on the primary key field or property. The scope of the generator name is global to the persistence unit (across all generator types).

       Example:

       @SequenceGenerator(name="EMP_SEQ", allocationSize=25)

Since:
  Java Persistence 1.0

Required Element Summary
`java.lang.String` | `name` (Required) A unique generator name that can be referenced by one or more classes to be the generator for primary key values.

Optional Element Summary
`int` | `allocationSize` (Optional) The amount to increment by when allocating sequence numbers from the sequence.
`java.lang.String` | `catalog` (Optional) The catalog of the sequence generator.
`int` | `initialValue` (Optional) The value from which the sequence object is to start generating.
`java.lang.String` | `schema` (Optional) The schema of the sequence generator.
`java.lang.String` | `sequenceName` (Optional) The name of the database sequence object from which to obtain primary key values.

Element Detail

### name

    public abstract java.lang.String name

  (Required) A unique generator name that can be referenced by one or more classes to be the generator for primary key values.

### sequenceName

    public abstract java.lang.String sequenceName

  (Optional) The name of the database sequence object from which to obtain primary key values.

  Defaults to a provider-chosen value.

  Default:
    ""

### catalog

    public abstract java.lang.String catalog

  (Optional) The catalog of the sequence generator.

  Since:
    Java Persistence 2.0
  Default:
    ""

### schema

    public abstract java.lang.String schema

  (Optional) The schema of the sequence generator.

  Since:
    Java Persistence 2.0
  Default:
    ""

### initialValue

    public abstract int initialValue

  (Optional) The value from which the sequence object is to start generating.

  Default:
    1

### allocationSize

    public abstract int allocationSize

  (Optional) The amount to increment by when allocating sequence numbers from the sequence.

  Default:
    50

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT